Package weka.gui

# Interface Logger

All Known Implementing Classes:
  `FlowRunner.SimpleLogger`, `LogPanel`, `LogPanel`, `SysErrLog`

public interface Logger
Interface for objects that display log (permanent historical) and status (transient) messages.

Version:
  $Revision: 1.5 $
Author:
  Len Trigg (trigg@cs.waikato.ac.nz)

## Method Summary

Modifier and Type
Method
Description
`void`
`logMessage(String message)`
Sends the supplied message to the log area.
`void`
`statusMessage(String message)`
Sends the supplied message to the status line.

## Method Details

### logMessage

void logMessage(String message)
Sends the supplied message to the log area. These message will typically have the current timestamp prepended, and be viewable as a history.

Parameters:
  `message` - the log message

### statusMessage

void statusMessage(String message)
Sends the supplied message to the status line. These messages are typically one-line status messages to inform the user of progress during processing (i.e. it doesn't matter if the user doesn't happen to look at each message)

Parameters:
  `message` - the status message.